Summarize

Prev Next

Available in Classic and VPC

Summarize long sentences by applying different options.

Request

This section describes the request format. The method and URI are as follows:

Method URI
POST /v1/api-tools/summarization/v2

Request headers

For information about the headers common to all CLOVA Studio APIs, see CLOVA Studio request headers.

Request body

You can include the following data in the body of your request:

Field Type Required Description
texts Array Required Sentence to summarize
  • 1-35,000 characters (based on Korean, including spaces)
autoSentenceSplitter Boolean Optional Whether to allow paragraph breaks in sentences to summarize
  • true (default) | false
    • true: Apply paragraph breaks, segCount, segMaxSize, and segMinSize
    • false: No paragraph breaks
segCount Integer Optional Number of paragraph breaks for the sentences to summarize
  • -1 (default) | 1 or higher
    • -1: The model automatically performs with optimal values
segMaxSize Integer Optional Maximum number of characters per paragraph when breaking paragraphs
  • 1-3000 (based on Korean, including spaces)
segMinSize Integer Optional Minimum number of characters per paragraph when breaking paragraphs
  • 0-segMaxSize value (default: 300)
includeAiFilters Boolean Optional Whether to apply AI Filter
  • true | false (default)
    • true: Apply
    • false: Do not apply

Request example

The request example is as follows:

curl --location --request POST 'https://clovastudio.stream.ntruss.com/v1/api-tools/summarization/v2' \
--header 'Authorization: Bearer {API Key}' \
--header 'X-NCP-CLOVASTUDIO-REQUEST-ID: {Request ID}' \
--header 'Content-Type: application/json' \
--data '{
            "texts": [
                "The following are some of the many features that CLOVA Studio offers. - Sentence generation: Just type in a few keywords and generate sentences based on those keywords for screenwriting, cover letter writing, email writing, marketing copy creation, etc. - Summarization: Identify key elements from a long article, such as a plot, report, or email, and summarize the article based on the set summary length. - Categorization: Categorize features such as sentence type, document index, sentiment, intent, or extract keywords from paragraphs. - Conversation: Create AIs with unique personas through example inputs to create conversational interfaces such as encyclopedic chatbots, custom chatbots, etc. - Sentence conversion: Convert sentences into sentences with a similar style to the entered example. AI Filter: AI Filter detects and alerts you when sensitive or unsafe output is being generated."
            ],
            "autoSentenceSplitter": true,
            "segCount": -1,
            "segMaxSize": 1000,
            "segMinSize": 300,
            "includeAiFilters": false
}'

Response

This section describes the response format.

Response body

The response body includes the following data:

Field Type Required Description
status Object - See Response status.
result Object - Response result
result.text String - Summary result
result.inputTokens Integer - Number of tokens in the sentence to summarize

Response example

The response example is as follows:

Succeeded

The following is a sample response upon a successful call.

{
    "status": {
        "code": "20000",
        "message": "OK"
    },
    "result": {
        "text": "- Explaining the different features that CLOVA Studio offers",
        "inputTokens": 187
    }
}

Failure

The following is a sample response upon a failed call.